/* error - socket is unxepectedly closed or not connected */
"Attempted read from a non-connected socket" = "Attempted read from a non-connected socket";

/* error - socket is not connected
   error - socket is unxepectedly closed, not connected, or not listening for connections */
"Attempted write to a non-connected socket" = "Attempted write to a non-connected socket";

/* error - resource is missing from framework bundle */
"Cannot find the ONGetHostEntry tool" = "Cannot find the ONGetHostEntry tool";

/* error - user (or other event) canceled attempt to connect to remote host */
"Connect aborted" = "Connect aborted";

/* gethostbyname error - other errors - specific cause of error is not known */
"Error looking up host %@" = "Error looking up host %@";

/* error return from select() */
"Error waiting for input: %s" = "Error waiting for input: %s";

/* gethostbyname error - NO_DATA - 'The  requested  name  is  valid but does not have an IP  address;  this is  not  a  temporary  error.  This means that the name is known to the name server but there is no address associated with this name.' */
"Found no addresses for host %@" = "Found no addresses for host %@";

/* gethostbyname error - HOST_NOT_FOUND - 'No such host is known.' */
"No such host %@" = "No such host %@";

/* error
   error: EAGAIN
   error: userAbort */
"Read aborted" = "Read aborted";

/* error - one of ETIMEDOUT ECONNREFUSED ENETDOWN ENETUNREACH EHOSTDOWN or EHOSTUNREACH */
"Temporarily unable to connect: %s" = "Temporarily unable to connect: %s";

/* gethostbyname error - TRY_AGAIN - 'This  is  usually a temporary error and means that the local server did not  receive  a  response  from  an authoritative server.  A  retry  at some later time may succeed.' */
"Temporary error looking up host %@, try again" = "Temporary error looking up host %@, try again";

/* error - non-transient error when connecting to remote host */
"Unable to connect: %s" = "Unable to connect: %s";

/* error */
"Unable to connect: no IP address for host '%@'" = "Unable to connect: no IP address for host '%@'";

/* error */
"Unable to create port address: no IP address for host '%@'" = "Unable to create port address: no IP address for host '%@'";

/* error */
"Unable to read from socket: %s" = "Unable to read from socket: %s";

/* error */
"Unable to write to socket: %s" = "Unable to write to socket: %s";

/* gethostbyname error - NO_RECOVERY - 'Some  unexpected server failure was encountered.  This is a  non-recoverable error.' */
"Unexpected server failure looking up host %@" = "Unexpected server failure looking up host %@";

/* error: EAGAIN
   error: userAbort */
"Write aborted" = "Write aborted";

